package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:limtrn:
*/

@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Limtrn {


        //INR
        
        private String inr = NULLSTR;

        //TRNINR
        
        private String trninr = NULLSTR;

        //OBJTYP
        
        private String objtyp = NULLSTR;

        //OBJINR
        
        private String objinr = NULLSTR;

        //前台流�'号
        
        private String qtls = NULLSTR;

        //客户编号
        
        private String ptyextkey = NULLSTR;

        //客户名称
        
        private String ptynam = NULLSTR;

        //业务品种
        
        private String limtyp = NULLSTR;

        //柜员号
        
        private String iniusr = NULLSTR;

        //借据编号
        
        private String objref = NULLSTR;

        //借据余额
        
        private  BigDecimal opnamt  = Decimals.ZERO_SCALE2;

        //借据到期日
        
        private String expdat = NULLSTR;

        //放款日期
        
        private String credat = NULLSTR;

        //合同编号
        
        private String conref = NULLSTR;

        //票据号
        
        private String bilref = NULLSTR;

        //合同余额
        
        private  BigDecimal udpamt  = Decimals.ZERO_SCALE2;

        //担保方式
        
        private String guatyp = NULLSTR;

        //出�'�状态
        
        private String accsta = NULLSTR;

        //票面到期日
        
        private String bilend = NULLSTR;

        //机构号
        
        private String branch = NULLSTR;

        //业务编号
        
        private String ownref = NULLSTR;

        //效期到期日
        
        private String valend = NULLSTR;

        //业务余额
        
        private  BigDecimal comamt  = Decimals.ZERO_SCALE2;

        //关联业务余额
        
        private  BigDecimal objamt  = Decimals.ZERO_SCALE2;

        //核心借据号
        
        private String hexref = NULLSTR;

        //批复号
        
        private String chkref = NULLSTR;

        //批复到期日
        
        private String chkdat = NULLSTR;

        //Version Counter
        
        private String ver = NULLSTR;

        //ORDINR
        
        private String ordinr = NULLSTR;




}