package com.brilliance.isc.vo.component.bptbck;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BptbckgVo extends AbstractCommonVo {
    //reference
    private  String ownref = NULLSTR;
    //currency
    private  String opncur = NULLSTR;
    //open amount
    private BigDecimal opnamt = Decimals.ZERO_SCALE3;
    //amount to pay back
    private  BigDecimal bckamt = Decimals.ZERO_SCALE3;
    //INR of Contract
    private  String objinr = NULLSTR;
    //Contract type
    private  String objtyp = NULLSTR;
    //interest calc.
    private  BigDecimal intamt = Decimals.ZERO_SCALE3;
    //interest rate
    private  BigDecimal intrat = Decimals.ZERO_SCALE6;
    //interest prepaid till
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date intdat;
}
