package com.brilliance.isc.vo.component.que;

import com.brilliance.isc.common.vo.BaseRequestPageVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "待经办列表分页查询对象")
@JsonIgnoreProperties(ignoreUnknown = true)
public class QueParamVo extends BaseRequestPageVo {

    @ApiModelProperty(value = "业务编号")
    private String ownref;

    @ApiModelProperty(value = "创建时间开始")
    private String inidatfro;

    @ApiModelProperty(value = "创建时间结束")
    private String inidattil;

    @ApiModelProperty(value = "经办柜员")
    private String usrcon;

    @ApiModelProperty("分配柜员")
    private String usr;

    @ApiModelProperty("登录柜员")
    private String userId;

    @ApiModelProperty(value = "业务状态")
    private List<String> relflg;

    @ApiModelProperty(value = "业务状态")
    private List<String> relflgList;

    @ApiModelProperty(value = "业务机构")
    private String bchcon;

    @ApiModelProperty(value = "交易代码")
    private String inifrm;

    @ApiModelProperty(value = "交易状态")
    private String status;

    @ApiModelProperty(value = "机构主键")
    private String bchkeyinr;

    @ApiModelProperty(value = "交易代码")
    private String cod;

    @ApiModelProperty(value = "渠道类型")
    private List<String> channel;

    @ApiModelProperty(value = "前端渠道")
    private List<String> frontChannel;

    @ApiModelProperty(value = "业务标志 01-国内保函；02-国际保函；03-银关关税保函")
    private String dflg;

    @ApiModelProperty(value = "交易名称")
    private String atptxt;

    @ApiModelProperty("当前页码")
    private int pageNo;

    @ApiModelProperty("当前页码")
    private int pageNum;

    @ApiModelProperty("每页显示条数")
    private int pageSize;

    @ApiModelProperty("交易流水号")
    private String trninr;

    @ApiModelProperty("待办流水号")
    private String queinr;

    @ApiModelProperty("报文流水号")
    private String smhinr;

    @ApiModelProperty("待办流水号")
    private String sptinr;

    @ApiModelProperty("角色ID")
    private String roletypeId;

    @ApiModelProperty("角色name")
    private String roletypeName;

    @ApiModelProperty("选中queinr")
    private List<String> selinr;

    private String orgBranch;


    private String orderStr;

    private String columnStr;

    private String today;

    private boolean foldflg;

    private String codeLev; //01 一级代码， 02 二级代码

    private List<String> assignFlag;

    private String searchModel;//OWN :search own,ALL:search all

    private List<String> tranType;//01 :收单行 02,非收单行

    @ApiModelProperty("业务处理模式")
    private String tranTypeStr;//01 :收单行 02,非收单行

    @ApiModelProperty("查询模式")
    private String autoAssign; //X 自动分配， 其他 非自动分配

    // 汇款种类
    private String paytyp;
    // 邮路类型
    private String cptrou;
    // 是否已转人工
    private String trnman;

    private String chnref;

    private List<String> bustypList;

    private String minamt;

    private String maxamt;

    private String ctmnam;


}
