package com.brilliance.isc.vo.manager;

import com.brilliance.isc.bo.EcMechanismd;
import lombok.Data;

import java.util.Map;

@Data
public class BchVo {
    // Department相关字段如下
    // 部门ID
    private Long id;
    // 名称
    private String name;
    // 机构级别
    private int levels;
    // 状态
    private int state;
    // 部门编号
    private String departmentNumber;
    // 行政区划
    private String youzbm;
    // 机构类型
    private String jigolx;
    // 机构营业级别
    private String jgyyjb;
    // 机构上级
    private String zngwsj;
    // SWIFT BIC码
    private String ynhbic;
    // 银行代码
    private String yinhdm;
    // 上级部门ID
    private String parentDepartmentId;
    // 机构编码
    private int orders;
    // 部门机构区分状态
    private String flag;
    // 扩展字段1
    private String extfield1;
    // 扩展字段2
    private String extfield2;
    // 扩展字段3
    private String extfield3;
    // 扩展字段4
    private String extfield4;
    // 扩展字段5
    private String extfield5;
    // 实体标志
    private String entity;
    // 业务ID
    private String businessid;


    // bch相关字段如下
    // 唯一ID，主键
    private String bchinr;
    // 机构编码（核心机构号）
    private String branch;
    // 经办机构编码
    private String bchkey;
    // 机构名称
    private String bchname;
    // 机构层次  0-总行;1-分行;2-支行;A-一级全辖;B-二级全辖
    private String lev;
    // 当前机构路径
    private String upbranch;
    // 机构类型 1-经办;2-非经办;6-收单
    private String bchtyp;
    // 机构参考号标志
    private String bchflg;
    // 金融机构编码
    private String decnum;
    // 电话
    private String tel;
    // 传真
    private String fax;
    // 地址第一行
    private String adr;
    // BIC代码
    private String swfcod;
    // 地址第二行
    private String adr2;
    // 版本号
    private String ver;
    // 英文名称
    private String namen;
    // 英文地址第一行
    private String adren;
    // 英文地址第二行
    private String adren2;
    // 外汇管理局印单局代码
    private String ydjcod;
    // Trade Connect代码
    private String tid;
    // 业务参考号中使用的机构编码
    private String bchref;
    // 核心虚拟柜员
    private String bchusr;
    // 机构停用标志
    private String sta;
    // 联行行号
    private String lhanum;
    // 联行名称
    private String lhanam;
    // 自贸区标识
    private String zmqflg;
    // 核心柜员2
    private String bchusr2;
    // 电证联行行号
    private String dzlhhh;
    // 电证联行名称
    private String dzlhmc;
    // 机构负责人
    private String bchfzr;

    // Mechanismd相关字段如下（DepartmentSpi中包含一部分）
    // 机构号
    private String yngyjg;
    // 机构名称
    private String jigomc;
    // 管理上级
    private String gnlisj;
    // 现金上级
    private String xinjsj;
    // 机构管理级别
    private String jggljb;

    // 当前登录用户选择的所属机构编码（核心机构号）
    private String ownOrgDepartmentNumber;
    // 当前选择的所属机构的BIC
    private String ownOrgBic;// 取BIC

    // 从字典获取到的字段

    // 国内地区码
    private String discod;

    // 机构全量表信息
    private EcMechanismd ecMechanismd;
}
