package com.brilliance.isc.vo.manager;

import lombok.Data;

import java.util.Map;

@Data
public class DeptVo {
    // Department相关字段如下
    /**
     * ID
     */
    private Long id;

    /**
     * name
     */
    private String name;

    /**
     * levels
     */
    private int levels;

    /**
     * state
     */
    private int state;

    /**
     * departmentnumber
     */
    private String departmentNumber;

    /**
     * youzbm
     */
    private String youzbm;

    /**
     * jigolx
     */
    private String jigolx;

    /**
     * jgyyjb
     */
    private String jgyyjb;

    /**
     * zngwsj
     */
    private String zngwsj;

    /**
     * ynhbic
     */
    private String ynhbic;

    /**
     * yinhdm
     */
    private String yinhdm;

    /**
     * parentdepartmentid
     */
    private String parentDepartmentId;

    /**
     * orders
     */
    private int orders;

    /**
     * flag
     */
    private String flag;

    /**
     * extfield1
     */
    private String extfield1;

    /**
     * extfield2
     */
    private String extfield2;

    /**
     * extfield3
     */
    private String extfield3;

    /**
     * extfield4
     */
    private String extfield4;

    /**
     * extfield5
     */
    private String extfield5;

    /**
     * entity
     */
    private String entity;

    /**
     * businessid
     */
    private String businessid;


    private Map<String, Object> params;

    // bch相关字段如下
    // inr唯一索引
    private String bchinr;
    // 机构编码
    private String branch;
    // 核心机构号
    private String accbch;
    // 机构中文名称
    private String bchname;
    // 机构英文名称
    private String namen;
    // 机构类型
    private String bchtyp;
    // 所属押汇中心
    private String upbchkey;
    // 机构参考号
    private String bchref;
    // BIC编码
    private String swfcod;
    // 核心柜员
    private String bchusr;
    // 核心柜员2
    private String bchusr2;
    // 联行行号
    private String lhanum;
    // 联行名称
    private String lhanam;
    // 电证联行行号
    private String dzlhhh;
    // 电证联行名称
    private String dzlhmc;
    // 上级机构编码
    private String upbranch;
    // 经办机构编码
    private String bchkey;
    // 机构层次
    private String lev;
    // 机构标识
    private String bchflg;
    // 自贸区标识
    private String zmqflg;
    // 国内地区码
    private String discod;
    // 中文地址
    private String adr;
    // 中文地址2
    private String adr2;
    // 英文地址
    private String adren;
    // 英文地址2
    private String adren2;
    // 电话
    private String tel;
    // 传真
    private String fax;
    // 收支申报号
    private String decnum;
    // 印单局编码
    private String ydjcod;
    // 机构负责人
    private String bchfzr;

    // Mechanismd相关字段如下（DepartmentSpi中包含一部分）
    // 机构号
    private String yngyjg;
    // 机构名称
    private String jigomc;
    // 管理上级
    private String gnlisj;
    // 现金上级
    private String xinjsj;
    // 机构管理级别
    private String jggljb;

    // 当前登录用户选择的所属机构编码（核心机构号）
    private String ownOrgDepartmentNumber;
    // 当前选择的所属机构的BIC
    private String ownOrgBic;// 取BIC
}
