package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ReqLgbVo extends BaseEntity {

    private String ptyinr  = NULLSTR;

    private String extkey  = NULLSTR;

    private String lgbtyp  = NULLSTR;

    private String lgbsta  = NULLSTR;

    private String expdatsta;

    private String expdatend;

    private String lgbinr  = NULLSTR;

    private Integer pageSize;

    private Integer pageNum;
}
