package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class DitVo extends AbstractCommonVo {

    //Internal Unique ID of Import L/C
    private String inr = NULLSTR;

    //Additional Conditions
    private String adlcnd = NULLSTR;

    //Deferred Payment Details
    private String defdet = NULLSTR;

    //Drafts at
    private String dftat = NULLSTR;

    //Additional Details to Code for Charges
    private String feetxt = NULLSTR;

    //Instructions to Paying/Accepting/Negotiating Bank
    private String insbnk = NULLSTR;

    //Documents Required
    private String lcrdoc = NULLSTR;

    //Description of Goods
    private String lcrgod = NULLSTR;

    //Mixed Payment Details
    private String mixdet = NULLSTR;

    //Presentation Period
    private String preper = NULLSTR;

    //Other Charges Reimbursement Authorisation
    private String rmbcha = NULLSTR;

    //Shipment Period
    private String shpper = NULLSTR;

    //Version Counter
    private String ver = NULLSTR;

    //Additional  Conditions Amendment History
    private String adlcndame = NULLSTR;

    //Description of Goods Amendment History
    private String lcrgodame = NULLSTR;

    //Documents Required Amendment History
    private String lcrdocame = NULLSTR;

    //Historic Overview of Narratives
    private String narhis = NULLSTR;

    //List of Modified Fields in LIDGRP
    private String fldmodblk = NULLSTR;

    //Notes to Applicant
    private String revnotes = NULLSTR;

    //Revolving Clause
    private String revcls = NULLSTR;

    //Available in
    private String avbwthtxt = NULLSTR;

    //Additional Amount Covered
    private String addamtcov = NULLSTR;

    //Instructions to P/A/N Amendment History
    private String insbnkame = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

    //Default content of Presentation Period
    private String preperdef = NULLSTR;

    //Presentation Period modified
    private String preperflg = NULLSTR;

    //Amount Amend List
    private String decamtstm = NULLSTR;

    //拒绝修改理由
    private String rejamersn = NULLSTR;

    //拒绝修改理由（历史）
    private String rejamersnhis = NULLSTR;

    //闭卷原因
    private String canrsn = NULLSTR;

    //闭卷原因（历史）
    private String canrsnhis = NULLSTR;

    //拒绝通知理由
    private String rejadvrsn = NULLSTR;

    //拒绝通知理由（历史）
    private String rejadvrsnhis = NULLSTR;

    //声明
    private String stamet = NULLSTR;
}
