package com.brilliance.isc.vo.remit;

import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true)
public class CpdJnwbBizInfo {

    //业务种类
    private String bustyp;

    //业务类型
    private String ywlxdm;

    //汇款人账户性质
    private String acctyp;

    //起息日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndat;

    //汇款人名称
    private  String orcnam;
    //汇款人地址
    private  String orcadr;
    //收款人名称
    private  String pyenam;
    //收款人地址
    private  String pyeadr;

    //接收行BIC
    private  String resbch;
    //接收行名称
    private  String resbchnam;

    //附言
    private String commet;
    //致银行附言
    private String com102;

    //发起清算行行号
    private String sbnkno;
    //接收清算行行号
    private String rbnkno;
    //接收行行号
    private String zhogjh;
    //第三偿付行信息
    private String rmbdet;
    //发报行信息
    private String fabaoh;

}
