package com.brilliance.isc.esb.api.cpm;

import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.cpm.ReqCPC3;
import com.brilliance.isc.esb.model.cpm.ResCPC3;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * CPM 定价系统请求方
 *
 * @restApi
 */
//@RequestMapping("/CPM")
public interface CpmClient {
    /**
     * CPC3 定价系统提供审批代码查询交易
     *
     * @param reqCPC3
     * @return
     */
    @PostMapping("/CPC3")
    Res<ResCPC3> callCPC3(Req<ReqCPC3> reqCPC3);
}
