package com.brilliance.isc.esb.model.clm;

import com.brilliance.isc.esb.model.AbsReqNew;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL83 额度信息同步请求对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqCL83 extends AbsReqNew {

    public ReqCL83() {
    }

    public ReqCL83(String ECIFNO, String KEHUMC, String YWPZHO, String GUIYID, String JIEJUH, String JJUYUE, String JJUDQR, String FKUARQ, String HETLSH, String PIJUHA, String HTONYE, String DBFSDM, String CZZTDM, String PMDQIR, String ORGAID, String YEWUNO, String YXQDQR, String YEWYUE, String GLYWYE, String HEXJJH, String PIFHAO, String PFDQRI) {
        this.ECIFNO = ECIFNO;
        this.KEHUMC = KEHUMC;
        this.YWPZHO = YWPZHO;
        this.GUIYID = GUIYID;
        this.JIEJUH = JIEJUH;
        this.JJUYUE = JJUYUE;
        this.JJUDQR = JJUDQR;
        this.FKUARQ = FKUARQ;
        this.HETLSH = HETLSH;
        this.PIJUHA = PIJUHA;
        this.HTONYE = HTONYE;
        this.DBFSDM = DBFSDM;
        this.CZZTDM = CZZTDM;
        this.PMDQIR = PMDQIR;
        this.ORGAID = ORGAID;
        this.YEWUNO = YEWUNO;
        this.YXQDQR = YXQDQR;
        this.YEWYUE = YEWYUE;
        this.GLYWYE = GLYWYE;
        this.HEXJJH = HEXJJH;
        this.PIFHAO = PIFHAO;
        this.PFDQRI = PFDQRI;
    }

    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 业务品种[0,40]
     */
    public String YWPZHO;
    /**
     * 柜员号[0,20]
     */
    public String GUIYID;
    /**
     * 借据编号[0,40]
     */
    public String JIEJUH;
    /**
     * 借据余额[0,24]
     */
    public String JJUYUE;
    /**
     * 借据到期日[0,10]
     */
    public String JJUDQR;
    /**
     * 放款日期[0,10]
     */
    public String FKUARQ;
    /**
     * 合同编号[0,40]
     */
    public String HETLSH;
    /**
     * 票据号[0,55]
     */
    public String PIJUHA;
    /**
     * 合同余额[0,24]
     */
    public String HTONYE;
    /**
     * 担保方式[0,2]
     */
    public String DBFSDM;
    /**
     * 出账状态[0,2]
     */
    public String CZZTDM;
    /**
     * 票面到期日[0,10]
     */
    public String PMDQIR;
    /**
     * 机构号[0,40]
     */
    public String ORGAID;
    /**
     * 业务编号[0,40]
     */
    public String YEWUNO;
    /**
     * 有效期到期日[0,10]
     */
    public String YXQDQR;
    /**
     * 业务余额[0,24]
     */
    public String YEWYUE;
    /**
     * 关联业务余额[0,24]
     */
    public String GLYWYE;
    /**
     * 核心借据号[0,40]
     */
    public String HEXJJH;
    /**
     * 批复号[0,40]
     */
    public String PIFHAO;
    /**
     * 批复到期日[0,10]
     */
    public String PFDQRI;

}
