package com.brilliance.isc.esb.model.dbsync;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * TABLE:pta:PTA - Party Address Association
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Pta {

    //Internal Unique ID of Party Address Association
    private String inr;

    //INR of Associated Party
    private String ptyinr;

    //Externally Visible Name of Address
    private String nam;

    //Priority Marker
    private String pri;

    //Running Counter for External Identification
    private String eno;

    //Type of Associated Address
    private String objtyp;

    //INR of Associated Address
    private String objinr;

    //Alternate Technical Key of Associated Address
    private String objkey;

    //Coded Usage of Address [xxxxxx]
    private String usg;

    //Version Counter
    private String ver;

    //BIC of Address Optional
    private String bic;

    //Address Status
    private String adrsta;

    //Type of Party
    private String ptytyp;

    //External Key Used to Uniquely Identify a Party
    private String ptyextkey;

    //TradeConnect ID
    private String tid;

    //Entity Group of Party Address Association
    private String etgextkey;

    //BRANCHINR
    private String branchinr;

    //BCHKEYINR
    private String bchkeyinr;

    //Externally Visible Name of Address
    private String nam1;

    //Info of bank
    private String issbchinf;

    //opened flg
    private String opnflg;
}
