package com.brilliance.isc.esb.model.ecif;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 0904 对公ECIF系统提供客户信息列表查询模糊查询客户信息请求对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Req0904 {

    public Req0904() {
    }

    public Req0904(String REQU01, String REQU02, String REQU03, String REQU04, String REQU05, String REQU06, String REQU07, String REQU08, String REQU09, String REQU10, String REQU11, String REQU12, String REQU13, String REQU14, String REQU15, String REQU16) {
        this.Beg_Rec_No = REQU01;
        this.Rec_Size = REQU02;
        this.Org_No = REQU03;
        this.Org_Legal_Name = REQU04;
        this.National_Org_Code = REQU05;
        this.Bus_License_No = REQU06;
        this.Open_License_No = REQU07;
        this.Foreign_License_No = REQU08;
        this.Swift_No = REQU09;
        this.Name = REQU10;
        this.Reg_Type = REQU11;
        this.Reg_No = REQU12;
        this.Fin_License_No = REQU13;
        this.Unified_Social_Credit_Code = REQU14;
        this.Attribute1 = REQU15;
        this.Attribute2 = REQU16;
    }

    /**
     * 起始笔数[0,4]
     */
    public String Beg_Rec_No;
    /**
     * 查询笔数[0,4]
     */
    public String Rec_Size;
    /**
     * 客户号[0,30]
     */
    public String Org_No;
    /**
     * 客户名称[0,100]
     */
    public String Org_Legal_Name;
    /**
     * 组织机构代码[0,50]
     */
    public String National_Org_Code;
    /**
     * 营业执照号[0,50]
     */
    public String Bus_License_No;
    /**
     * 开户许可证号[0,50]
     */
    public String Open_License_No;
    /**
     * 外汇许可证号[0,50]
     */
    public String Foreign_License_No;
    /**
     * Swift编号[0,50]
     */
    public String Swift_No;
    /**
     * 法人代表名称[0,100]
     */
    public String Name;
    /**
     * 法人代表证件种类[0,10]
     */
    public String Reg_Type;
    /**
     * 法人代表证件号码[0,30]
     */
    public String Reg_No;
    /**
     * 金融许可证号[0,50]
     */
    public String Fin_License_No;
    /**
     * 统一社会信用代码[0,30]
     */
    public String Unified_Social_Credit_Code;
    /**
     * 备注信息[0,30]
     */
    public String Attribute1;
    /**
     * 备注信息[0,30]
     */
    public String Attribute2;

}
