package com.brilliance.isc.esb.newmodel.waishu;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class EdmpRes<D> {
    /**
     * 错误代号
     */
    public String ERRORCODE;
    /**
     * 错误描述
     */
    public String ERRORMSG;
    /**
     * 交易代码
     */
    public String JIAOYM;
    /**
     * 唯一流水号
     */
    public String SRC_SEQ_NUM;
    /**
     * 交易ID
     */
    public String TRANSID;
    /**
     * 具体业务返回
     */
    public D DATA;
}
