package com.brilliance.isc.common.fecism.vo;

import com.brilliance.isc.common.setmod.vo.CommCbsLineGrid;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class CalcFeeResponse extends AbstractCommonVo {

    //费用计算的细节 包含交易币种 交易金额
    private IStream infdetstm = new StreamImpl();

    //费用计算明细
    private String inftxt = NULLSTR;

    //费用份数
    private int unt;

    //费用币种
    private String cur;

    //应收金额
    private BigDecimal ogiamt = BigDecimal.ZERO;

    //实收金额
    private BigDecimal amt = BigDecimal.ZERO;

    //Minimum or maximum used
    private String minmaxflg = NULLSTR;

    //收费起始日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date dat1 = null;

    //收费结束日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date dat2 = null;

    private List<CommCbsLineGrid> commCbsLineGrids;

    //优惠比例
    private BigDecimal dctrat = BigDecimal.ZERO;
}
