package com.brilliance.isc.common.warmod.service;

import com.brilliance.isc.common.warmod.vo.WarmodVo;

import java.util.Date;

public interface WarmodService {

    /**
     * 获取用户基本信息
     *
     * @param personId ec_org_person表主键 ID
     * @return userVo
     */
    WarmodVo setFinanceTenorCheck(Date beg, Date mat, int tenday, String tentyp);

    /**
     * 获取用户基本信息
     *
     * @param usrInr usr表主键 inr
     * @return userVo
     */
    String checkFinTenor(WarmodVo warmodVo);

    /**
     * 保存提醒信息
     *
     * @param opt 操作类型
     */
    void saveWarn(WarmodVo warmodVo, String opt);
}
