package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Trl {

        // 唯一ID，主键
        private String inr;

        // 经办机构代码
        private String bchkey;

        // 经办交易代码
        private String trn;

        // 授权币种
        private String relcur;

        // 允许授权的最大金额
        private  BigDecimal relamt;

        // 版本号
        private String ver;

        // 授权类型
        private String relflg;

        //上收标志
        private String docflg;
}