package com.brilliance.isc.bo.bop.jsh;

import java.util.*;


import static com.brilliance.mda.runtime.mda.Constants.*;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.*;
import lombok.Getter;
import lombok.Setter;


/**
 
 * @description dbv:结汇申请书-管理信息bo
 * @create 20240322
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dbv extends AbstractCommonVo {


        //Internal Unique ID
        private String inr = NULLSTR;

        //�'时申报流�'号
        private String tmpref = NULLSTR;

        //Initial Entity Code
        private String ownextkey = NULLSTR;

        //Version
        private String ver = NULLSTR;

        //操作类型
        private String actiontype = NULLSTR;

        //删除原因
        private String actiondesc = NULLSTR;

        //申报号码
        private String rptno = NULLSTR;

        //外汇局批件号/备案表号/业务编号
        private String regno = NULLSTR;

        //交易编码
        private String txcode = NULLSTR;

        //结汇用途
        private String usetype = NULLSTR;

        //结汇详细用途
        private String usedetail = NULLSTR;

        //填报人
        private String crtuser = NULLSTR;

        //填报人电话
        private String inptelc = NULLSTR;

        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date rptdate = NULLDATE;




















}