package com.brilliance.isc.common.rmbbop.entity;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.rmbbop.common.IAds;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tdq extends AbstractCommonVo implements IAds {
    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //人行报送状态
    private String sta = NULLSTR;

    //业务主键
    private String levyno = NULLSTR;

    //操作类型
    private String opertype = NULLSTR;

    //变�'/撤销原因
    private String actiondesc = NULLSTR;

    //银行机构代码
    private String bankorgcode = NULLSTR;

    //境外银行 SWIFT BIC
    private String swiftbic = NULLSTR;

    //原担保登记申报号码
    private String orilevyno = NULLSTR;

    //履约币种
    private String currencycode = NULLSTR;

    //担保履约金额
    private BigDecimal vouchamt = Decimals.ZERO_SCALE2;

    //担保履约比例
    private BigDecimal vouchscale = Decimals.ZERO_SCALE2;

    //履约跨境收/支申报号码
    private String paymentlevyno = NULLSTR;

    //银行业务编号
    private String banktrano = NULLSTR;

    //交易附言
    private String addword = NULLSTR;

    //Initial Entity Code
    private String ownextkey = NULLSTR;

    //银行机构名称
    private String sbankname = NULLSTR;
}
