package com.brilliance.isc.vo.component.mcd;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 万能交易入口交易查询条件字段
 */
@Data
public class MctselQueryVo extends CommonResult {
    /**
     * 万能交易主表唯一编号
     */
    private String mcdinr;

    /*
    万能业务编号
     */
    private String seaownref;

    /**
     * 机构编号
     */
    private String bchinr;
    /**
     * 机构编码
     */
    private String branch;

    /**
     * 机构集合
     */
    private List<Bch> bchLst;
    /**
     * 开立日期开始日期
     */
    private String opndatfrom;
    /**
     * 开立日期截止日期
     */
    private String opndatto;

    /**
     * 客户号/名称
     */
    private String searef;

    /**
     * 是否闭卷
     */
    private String isClosed;

    /**
     * 业务类型
     */
    private String pnttyp;
    /**
     * 信用证类型
     */
    private String sealcrtyp;
    /**
     *单据类型
     */
    private String seadoctyp;
    /**
     * 客户号
     */
    private String ptyExtkey;
    /**
     * 当事人BIC/名称
     */
    private String seapty;
    /**
     * 业务状态
     */
    private String  seasta;
    /**
     * //币种
     */
    private String seacur;
    /**
     * //金额
     */
    private BigDecimal seaamt;
    /**
     * //金额
     */
    private BigDecimal seaamtfr;
    /**
     * //金额
     */
    private BigDecimal seaamtto;
    /**
     * 发票号
     */
    private String seainvnum;
    /**
     * 转卖单据
     */
    private String seaforflg;

    /**
     * 排序字段
     */
    private String column;

    /**
     * 正序倒序
     */
    private String order;
}
