package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import lombok.Data;

@Data
public class FeeVo extends BaseEntity {

    //唯一ID
    private String inr;

    //费用代码
    private String cod;

    //费用描述
    private String coddsc;

    //在SWIFT报文中的费用代码
    private String sftcod;

    //默认付费角色
    private String rol;

    //是否计入收入标志
    private String incflg;

    //统计标志
    private String staflg;

    //增值税标志
    private String vatflg;

    //费用账号
    private String acc;

    //计提摊销账号
    private String accacr;

    //结算时的排序优先级
    private String eno;

    //计算费用相关的金额类型
    private String reltir;

    //费用组代码
    private String grpcod;

    //版本号
    private String ver;

    //费用描述是否允许修改
    private String dscmodflg;

    //相关的交易名称或者业务品种
    private String reltrn;

    //费用生效日期
    private String begdat;

    //费用失效日期
    private String enddat;

    //DTA报文中的费用代码
    private String dtacod;

    //费用所属实体组
    private String etgextkey;

    //税则账号
    private String taxacc;

    //价税分离标志
    private String taxflg;

    //费用备注
    private String remark;

}
