package com.brilliance.isc.vo.manager;

import com.brilliance.isc.bo.Pty;
import com.brilliance.isc.bo.Ptyrat;
import com.brilliance.isc.bo.Sefrat;
import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class SefratManageVo extends BaseEntity {

    private Sefrat rec;

    //总行全局参数
    private Sefrat currat;

    //总行USD
    private Sefrat globalrat;

    private String sigflg;

    private String oldsigflg;

    private String issefhepcurexit;   //该币种是否维护过

    private List<Sefrat> sefratlst;

    private Pty pty;

    private Ptyrat ptyrat;

    public void reset() {
        if (sefratlst == null) {
            sefratlst = new ArrayList<>();
        }
    }

}
