package com.brilliance.isc.esb.model.clm;

import com.brilliance.isc.esb.model.AbsReqNew;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL45 额度业务查询请求对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqCL45 extends AbsReqNew {

    public ReqCL45() {
    }

    public ReqCL45(String EDMXBH, String ZYZTLX, String ZYZTBH, String FHYHAO, String MYTSHU) {
        this.EDMXBH = EDMXBH;
        this.ZYZTLX = ZYZTLX;
        this.ZYZTBH = ZYZTBH;
        this.FHYHAO = FHYHAO;
        this.MYTSHU = MYTSHU;
    }

    /**
     * 明细额度编号[0,40]
     */
    public String EDMXBH;
    /**
     * 占用主体类型[0,10]
     */
    public String ZYZTLX;
    /**
     * 占用主体编号[0,40]
     */
    public String ZYZTBH;
    /**
     * 返回页号[0,10]
     */
    public String FHYHAO;
    /**
     * 每页返回多少条记录[0,2]
     */
    public String MYTSHU;


}
