package com.brilliance.isc.esb.model.ebmp;

public class ResOGF032 {

    /**
     * 信封报文标识号 [0,70]
     */
    public String TraceId;

    /**
     * 响应码 [0,1]
     */
    public String RspCode;

    /**
     * 响应结果描述 [0,128]
     */
    public String RspMsg;

    /**
     * 备用字段1 [0,8]
     */
    public String Bak1;

    /**
     * 备用字段2 [0,16]
     */
    public String Bak2;

    /**
     * 备用字段3 [0,32]
     */
    public String Bak3;

    /**
     * 备用字段4 [0,64]
     */
    public String Bak4;

    /**
     * 备用字段5 [0,128]
     */
    public String Bak5;

    public ResOGF032() {
    }

    public ResOGF032(String traceId, String rspCode, String rspMsg, String bak1, String bak2, String bak3, String bak4, String bak5) {
        TraceId = traceId;
        RspCode = rspCode;
        RspMsg = rspMsg;
        Bak1 = bak1;
        Bak2 = bak2;
        Bak3 = bak3;
        Bak4 = bak4;
        Bak5 = bak5;
    }
}
