package com.brilliance.isc.esb.model.hx;

import java.util.ArrayList;
import java.util.List;

public class ResO84862 {

    public List<ItemF84861> F84861 = new ArrayList<>();

    public static class ItemF84861{

        /**
         * 业务编号 [0,16]
         */
        public String YEWUBH;

        /**
         * 报文类型 [0,10]
         */
        public String BWLXDH;

        /**
         * 报文序列号 [0,20]
         */
        public String MSGSNO;

        /**
         * 明细标识号 [0,16]
         */
        public String MXIBSH;

        /**
         * 参与标志 [0,1]
         */
        public String CANYBZ;

        /**
         * 交易日期 [0,8]
         */
        public String JIOYRQ;

        /**
         * 复核柜员流水号 [0,12]
         */
        public String FHGYLS;

        /**
         * 入帐日期 [0,8]
         */
        public String RUZHRQ;

        /**
         * 交换场次 [0,1]
         */
        public String JIOHCC;

        /**
         * 变码印鉴 [0,12]
         */
        public String BMYNJN;

        /**
         * 查询行号 [0,12]
         */
        public String CHAXHH;

        /**
         * 大洲 [0,12]
         */
        public String DAZHOU;

        /**
         * 代理付款行行号 [0,12]
         */
        public String DLFKHH;

        /**
         * 冻结编号 [0,12]
         */
        public String DNGJBH;

        /**
         * 对手债券帐户行 [0,12]
         */
        public String DZQZHH;

        /**
         * 信息 [0,60]
         */
        public String XINX01;

        /**
         * 信息 [0,60]
         */
        public String XINX02;

        /**
         * 报文发送日期 [0,8]
         */
        public String MSGSDT;

        /**
         * 货币代号 [0,2]
         */
        public String HUOBDH;

        /**
         * 金额 [19,2]
         */
        public String ZHIFJE;

        /**
         * 发起参与机构 [0,14]
         */
        public String FQCYJG;

        /**
         * 发起直接参与机构 [0,14]
         */
        public String FQZJJG;

        /**
         * 接收参与机构 [0,14]
         */
        public String JSCYJG;

        /**
         * 接收直接参与机构 [0,14]
         */
        public String JSZJJG;

        /**
         * 参数说明 [0,20]
         */
        public String CANSSM;

        /**
         * 业务类型 [0,5]
         */
        public String YWLXDM;

        /**
         * CMT [0,3]
         */
        public String CMTCOD;

        /**
         * 客户担保编号 [0,12]
         */
        public String KHDBBH;

        /**
         * 办公电话 [0,20]
         */
        public String BANGDH;

        /**
         * 合同协议号 [0,60]
         */
        public String HETXYH;

        /**
         * 客户序号 [0,8]
         */
        public String KEHUXH;

        /**
         * 付款人帐号 [0,32]
         */
        public String FUKRZH;

        /**
         * 付款人名称 [0,120]
         */
        public String FKRMCH;

        /**
         * 付款人地址 [0,140]
         */
        public String FKRDZH;

        /**
         * 付款清算行行号 [0,14]
         */
        public String FUKQSH;

        /**
         * 付款行行号 [0,14]
         */
        public String FUKHHH;

        /**
         * 付款人开户行行号 [0,35]
         */
        public String FKRKHH;

        /**
         * 付款人开户行名称 [0,140]
         */
        public String FUKRHM;

        /**
         * 收款人帐号 [0,32]
         */
        public String SHKRZH;

        /**
         * 收款人名称 [0,120]
         */
        public String SKRMCH;

        /**
         * 收款人地址 [0,140]
         */
        public String SKRDZH;

        /**
         * 收款清算行行号 [0,14]
         */
        public String SHKQSH;

        /**
         * 收款行行号 [0,14]
         */
        public String SHKHHH;

        /**
         * 收款人开户行行号 [0,35]
         */
        public String SKRKHH;

        /**
         * 收款人开户行名称 [0,140]
         */
        public String SHKRHM;

        /**
         * 凭证种类 [0,3]
         */
        public String PNGZZL;

        /**
         * 凭证日期 [0,8]
         */
        public String PNGZRQ;

        /**
         * 凭证序号 [0,8]
         */
        public String PNGZXH;

        /**
         * 凭证号 [0,14]
         */
        public String PNGZHH;

        /**
         * 附言1 [0,512]
         */
        public String FUYNH1;

        /**
         * 相关业务编号 [0,16]
         */
        public String XNGGBH;

        /**
         * 按揭项目编号 [0,16]
         */
        public String AJXMBH;

        /**
         * 业务拒绝信息 [0,210]
         */
        public String YWJJXX;

    }

    public ResO84862() {
    }

    public ResO84862(List<ItemF84861> f84861) {
        F84861 = f84861;
    }
}
