package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 中台系统提供国结发送汇总征税保函状态同步响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes6605 {
    public InnerRes6605(String jiaoym, String guarno, String retcod, String reason, String status, String amount, String bqhkrq) {
        this.jiaoym = jiaoym;
        this.guarno = guarno;
        this.retcod = retcod;
        this.reason = reason;
        this.status = status;
        this.amount = amount;
        this.bqhkrq = bqhkrq;
    }

    public InnerRes6605() {
    }

    /**
     * 报文名
     */
    public String jiaoym;
    /**
     * 保函号
     */
    public String guarno;
    /**
     * 错误代码
     */
    public String retcod;
    /**
     * 错误原因
     */
    public String reason;
    /**
     * 保函状态
     */
    public String status;
    /**
     * 保函金额上限
     */
    public String amount;
    /**
     * 保函失效日期
     */
    public String bqhkrq;
}
