package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 7794是核心系统提供的针对核心系统记账交易的冲正交易，
 * 	     被冲正的交易包括核心系统提供的所有交易
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes7794 {

    public String jioyrq;       //交易日期

    public String yngyls;       //原柜员流水号

    public String jiaoym;       //交易码

    public String czflbs;       //被冲正会计分录笔数

    public String czdjbs;       //被冲正登记簿记录笔数

    public String guiyls;       //柜员流水号

    public InnerRes7794() {
    }

    public InnerRes7794(String jioyrq, String yngyls, String jiaoym, String czflbs, String czdjbs, String guiyls) {
        this.jioyrq = jioyrq;
        this.yngyls = yngyls;
        this.jiaoym = jiaoym;
        this.czflbs = czflbs;
        this.czdjbs = czdjbs;
        this.guiyls = guiyls;
    }
}
