package com.brilliance.isc.esb.model.inner;


import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResCS06 {

    public List<ItemCS06> lstCS06 = new ArrayList<>();


    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class ItemCS06 {

        /**
         * 押品编号
         */
        public String guarno;

        /**
         * 币种
         */
        public String LOANCURRENCY;

        /**
         * 抵质押物所有权人客户号
         */
        public String GUARCUSID;

        /**
         * 押品起始日
         */
        public String CDQSR;

        /**
         * 所有存单类押品专有信息下的“存单原始金额”
         */
        public String ATTRIBUTE11;

        /**
         * 存单到期日
         */
        public String CDDQR;

        /**
         * 押品状态
         */
        public String GUARSTATE;

        /**
         * 押品状态描述
         */
        public String STATENAME;

        /**
         * 押品类型
         */
        public String GUARTYPECD;

        /**
         * 押品类型名称
         */
        public String GUARTYPECDCNNAME;

    }

    public InnerResCS06() {
    }

    public InnerResCS06(List<ItemCS06> lstCS06) {
        this.lstCS06 = lstCS06;
    }
}
