package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * Ejscpd 推送给e结算报文对内响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResEjscpd {
    /**
     * 错误码[0,7]
     */
    public String errorcode;

    /**
     * 错误信息[0,200]
     */
    public String errormessage;

    public InnerResEjscpd() {
    }

    public InnerResEjscpd(String errorcode, String errormessage) {
        this.errorcode = errorcode;
        this.errormessage = errormessage;
    }
}
