package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 核心系统提供的系统内划款响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResGJ70 {

    /**
     * 文件编码
     */
    public String code;

    /**
     * 合同编号
     */
    public String contractno;

    /**
     * 返回信息
     */
    public String retmessage;

    public InnerResGJ70() {
    }

    public InnerResGJ70(String code, String contractno, String retmessage) {
        this.code = code;
        this.contractno = contractno;
        this.retmessage = retmessage;
    }
}
