package com.brilliance.isc.esb.model.whj.content.sinosure;

import com.brilliance.isc.esb.model.whj.content.UnCryptContent;
import lombok.Data;

import java.util.List;

/**
 * /v1/asset/directLink/pay 信保融资放款详细登记接口
 *
 * */

@Data
public class SinoPayContent extends UnCryptContent {

    public String note;

    public String payDate;

    public String recDate;

    public String safeAssetId;

    public String payCurrency;

    public List<PayList> payList;

}
