package com.brilliance.isc.common.register.diasav;

import com.brilliance.isc.common.register.diasav.common.LiaallDiasavRegister;
import com.brilliance.isc.common.register.diasav.common.LiaallDiasavZZZRegister;
import com.brilliance.isc.common.register.diasav.common.TrtcreDiasavRegister;
import com.brilliance.isc.common.trndia.vo.TrndiaVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("default.diasavRegister")
public class CommonDiasavRegister implements IDiasavRegister {

    @Autowired
    private LiaallDiasavRegister liaallDiasavRegister;

    @Autowired
    private LiaallDiasavZZZRegister liaallDiasavZZZRegister;

    @Autowired
    private TrtcreDiasavRegister trtcreDiasavRegister;

    @Override
    public void diasav(TrndiaVo trndia) {
        liaallDiasavRegister.diasav(trndia);
        liaallDiasavZZZRegister.diasav(trndia);
        trtcreDiasavRegister.diasav(trndia);
    }
}
