package com.brilliance.isc.common.register.document.common;

import com.brilliance.isc.common.register.document.IDocumentRegister;
import com.brilliance.isc.common.trndoc.service.TrndocService;
import com.brilliance.isc.common.trndoc.vo.TrndocVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 企业名录注册面函
 */
@Component
public class EntmodDocumentRegister implements IDocumentRegister {

    @Autowired
    private TrndocService trndocService;

    @Override
    public void registerDocument(TrndocVo trndoc) {
        String bcb = "企业当前管理信息";
        if("X".equals(trndoc.getRec().getEntmodVisflg())) {
            trndocService.defDocEot(trndoc,"TRN", "ENT1", "ENTSUBPENL1", "LET", 0, "", "", bcb, "OWN", "");
            trndocService.setCORTYPList(trndoc,"TRN", "ENT1", "LET");
        }
    }
}
